#!/bin/sh

/lib/cpp $1 |								      \
awk '{if ($1 == "enum" || $1 == "};" || $1 == "#"){			      \
	printf ("####\n");						      \
      }else{								      \
	printf ("%s\n", $0);						      \
      }									      \
     }' |								      \
awk 'BEGIN {RS=","; FS="\n"}						      \
     {printf ("%s\n", $0)}' |						      \
awk 'BEGIN {num = 0}							      \
     /####/ {num = 0; printf ("\n"); next}				      \
     /^[ \t]*$/   {next}						      \
     {printf ("let %s = %d;;\n", $1, num++)}' > $2
