/* stat_alloc.h */

#ifndef _stat_alloc_
#define _stat_alloc_


#ifdef ANSI

extern void *stat_malloc (blocksize);
extern void *stat_alloc (blocksize);
extern void stat_free (void *);
extern void *stat_resize (void *, blocksize);
extern blocksize stat_size (void *);
extern blocksize stat_largest_free_size (void);

#else /* ANSI */

extern char *stat_malloc ();
extern char *stat_alloc ();
extern void stat_free ();
extern char *stat_resize ();
extern blocksize stat_size ();
extern blocksize stat_largest_free_size ();

#endif /* ANSI */


#endif /* _stat_alloc_ */
